%global drupaldir %{_datadir}/drupal6
Name:      drupal6-schema
Version:   1.7
Release:   4%{?dist}
Summary:   The Schema API allows modules to declare their database and provides API

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/schema
Source0:   http://ftp.drupal.org/files/projects/schema-6.x-%{version}.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
Introduced in Drupal 6, the Schema API allows modules
to declare their database tables in a structured array
(similar to the Form API) and provides API functions for creating dropping
and changing tables, columns, keys, and indexes.
The Schema module provides additional Schema-related functionality
not provided by the core Schema API that is useful for module developers.

Currently, this includes:

Schema documentation: 
hyper linked display of the schema's embedded documentation explaining
what each table and field is for.

Schema structure generation:
the module examines the live database and creates Schema API data structures
for all tables that match the live database.

Schema comparison:
the module compares the live database structure with the schema structure
declared by all enabled modules, reporting on any missing or incorrect tables.

Note for MySQL users:
The Schema module requires MySQL 5. 
Prior versions of MySQL do not support the INFORMATION_SCHEMA database
that the Schema module uses to inspect the database.

%prep
%setup -qn schema
chmod -x schema.module
chmod -x schema.install
chmod -x schema_util.inc
chmod -x engines/schema*.inc
chmod -x translations/*.*
chmod -x README.txt
cp -p %{SOURCE1} .


%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/schema
cp -pr * %{buildroot}%{drupaldir}/modules/schema
rm %{buildroot}%{drupaldir}/modules/schema/translations/K*.po
rm %{buildroot}%{drupaldir}/modules/schema/translations/*.mo

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt README.txt
%dir %{drupaldir}/modules/schema
%{drupaldir}/modules/schema/schema*
%{drupaldir}/modules/schema/engines
%{drupaldir}/modules/schema/tests

%dir %{drupaldir}/modules/schema/translations
%{drupaldir}/modules/schema/translations/*.pot
%lang(de) %{drupaldir}/modules/schema/translations/de.po
%exclude %{drupaldir}/modules/schema/*.txt

%changelog
* Mon Jan 31 2011 Peter Borsa <peter.borsa@gmail.com> - 1.7-4
- Version macro is added.
- Removed unnecessary translation files.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.7-3
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Mon Jan 24 2011 Peter Borsa <peter.borsa@gmail.com> - 1.7-2
- Additional adjustments in the spec file.

* Thu Dec 01 2010 Peter Borsa <peter.borsa@gmail.com> - 1.7-1
- Initial packaging.
